Bug 229927 - [Win] TestWebKitAPI.WebKit.DidNotHandleKeyDown is failing
Summary: [Win] TestWebKitAPI.WebKit.DidNotHandleKeyDown is failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-05 18:06 PDT by Fujii Hironori
Modified: 2021-09-07 21:58 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.98 KB, patch)
2021-09-05 18:09 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch (2.68 KB, patch)
2021-09-06 21:07 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff
Patch for landing (2.74 KB, patch)
2021-09-07 19:18 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fujii Hironori 2021-09-05 18:06:50 PDT
[Win] TestWebKitAPI.WebKit.DidNotHandleKeyDown is failing

TestWebKitAPI::Util::isKeyDown is not implemented
Comment 1 Fujii Hironori 2021-09-05 18:09:16 PDT
Created attachment 437370 [details]
Patch
Comment 2 Fujii Hironori 2021-09-06 21:07:39 PDT
Created attachment 437449 [details]
Patch
Comment 3 Don Olmstead 2021-09-07 18:20:03 PDT
Comment on attachment 437449 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437449&action=review

r=me

I think this will break the PlayStation without the implementation being there as well.

> Tools/TestWebKitAPI/Tests/WebKit/DidNotHandleKeyDown.cpp:29
> +#if !PLATFORM(GTK) && !PLATFORM(WPE)

This should probably be

#if PLATFORM(COCOA) || PLATFORM(WIN)

> Tools/TestWebKitAPI/Tests/WebKit/DidNotHandleKeyDown.cpp:72
> +#endif // !PLATFORM(GTK) && !PLATFORM(WPE)

Same
Comment 4 Fujii Hironori 2021-09-07 19:18:32 PDT
Created attachment 437579 [details]
Patch for landing
Comment 5 Fujii Hironori 2021-09-07 21:57:53 PDT
Comment on attachment 437579 [details]
Patch for landing

Clearing flags on attachment: 437579

Committed r282128 (241425@main): <https://commits.webkit.org/241425@main>
Comment 6 Fujii Hironori 2021-09-07 21:57:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2021-09-07 21:58:22 PDT
<rdar://problem/82855497>